%define name fwbuilder
%define version 5.1.0.3599
%define release %mkrel 1

Summary:        Firewall Builder
Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        GPL2
Vendor:         NetCitadel LLC., http://sourceforge.net/project/showfiles.php?group_id=5314
Group:          System/Configuration/Networking
URL:            http://www.fwbuilder.org/
Source:         %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Obsoletes:	libfwbuilder9
Obsoletes:	libfwbuilder-devel
BuildRequires:	libxml2-devel libxslt-devel libopenssl-devel libqt4-devel
Obsoletes: 	%{name} < %version
Requires:	glibc >= 2.12.1
Requires:	libstdc++6 >= 4.5.2

%description
Firewall Builder consists of a GUI and set of policy compilers for
various firewall platforms. It helps users maintain a database of
objects and allows policy editing using simple drag-and-drop
operations. GUI generates firewall description in the form of XML
file, which compilers then interpret and generate platform-specific
code. Several algorithms are provided for automated network objects
discovery and bulk import of data. The GUI and policy compilers are
completely independent, this provides for a consistent abstract model
and the same GUI for different firewall platforms. 

%description -l de
Firewall Builder besteht aus einer GUI und einer Reihe von Compiler 
Strategien für verschiedene Firewall-Plattformen. Es hilft Benutzern, 
bei der Verwaltung einer Datenbank von Objekten und ermöglicht die 
Richtlinien durch einfache Drag-and-Drop-Operationen zu bearbeiten. 
Die GUI generiert Firewall Regeln in Form von XML-Dateien, welche vom 
Compiler dann interpretiert, und in den Plattform-spezifischen Code 
generiert werden. Verschiedene Algorithmen werden für automatisierte 
Netzwerkobjekt Erkennung und für den Massenimport von Daten unterstützt. 
Die GUI und stratigischen Compiler sind völlig unabhängig, dies stellt 
die Gleichmäßigkeit verschiedener Modelle und die gleiche GUI für 
Windows-Firewall-Plattformen sicher. 

%prep
%setup -q -n fwbuilder-%{version}

%build
export PATH=$QTDIR/bin:$PATH
export QTDIR=%_prefix/lib/qt4

./autogen.sh
%configure2_5x --prefix=/usr

make all

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make INSTALL_ROOT="${RPM_BUILD_ROOT}/" install
rm -fr $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}

#Desktop entry
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Firewall Builder
Comment=Design and Manage Firewall Rules
Icon=fwbuilder
Categories=X-MandrivaLinux-System-Configuration-Networking;
Exec=fwbuilder
Type=Application
StartupNotify=true
Terminal=false
EOF


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%dir %_datadir/fwbuilder-%version
 
%_datadir/fwbuilder-%version/platform/*
%_datadir/fwbuilder-%version/os/*
%_datadir/fwbuilder-%version/help/*
%_datadir/fwbuilder-%version/resources.xml
%_datadir/fwbuilder-%version/objects_init.xml
%_datadir/fwbuilder-%version/templates.xml
%_datadir/fwbuilder-%version/migration
%_bindir/fwbuilder
%_bindir/fwbedit
%_bindir/fwb_iosacl
%_bindir/fwb_ipf
%_bindir/fwb_ipfw
%_bindir/fwb_ipt
%_bindir/fwb_pf
%_bindir/fwb_pix
%doc doc/AUTHORS
%doc doc/COPYING
%doc doc/Credits
%doc doc/ChangeLog
%doc doc/PatchAcceptancePolicy.txt
%doc doc/README.floppyfw
%doc doc/README.iosacl
%doc doc/README.ipf
%doc doc/README.ipfw
%doc doc/README.ipt
%doc doc/README.pf
%doc doc/README.pix
%doc doc/README.routing
%doc doc/README.policy_import
%doc doc/README.iosacl
%doc doc/FWBuilder-Routing-LICENSE.txt
%{_mandir}/man1/fwbuilder.1*
%{_mandir}/man1/fwbedit.1*
%{_mandir}/man1/fwb_iosacl.1*
%{_mandir}/man1/fwb_ipf.1*
%{_mandir}/man1/fwb_ipfw.1*
%{_mandir}/man1/fwb_ipt.1*
%{_mandir}/man1/fwb_pf.1*
%{_mandir}/man1/fwb_pix.1*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/%name.png
%_bindir/fwb_procurve_acl
 
%_datadir/fwbuilder-%version/configlets
%_datadir/fwbuilder-%version/fwbuilder.dtd

%changelog
* Wed Jul 11 2012 Neal <nealbrks0 at gmail dot com> 5.1.0.3599-1pclos2012
- process

* Tue Jul 10 2012 Agent Smith <ruidobranco@yahoo.com.br> 5.1.0.3599-1pclos2012
- updated the package, with sources from http://www.fwbuilder.org/. Modifications: transfer_secuwall removed(doesn't exist anymore in the latest version) and one reference to /locales that prevented the package to be built.

* Thu Jul 14 2011 Texstar <texstar at gmail.com> 4.2.0-2pclos2011
- rebuild 

* Mon Apr 25 2011 MBantz <martin dot bantz at gmail dot com>4.2.0-1pclos2011
- 4.2.0

* Tue Dec 07 2010 Texstar <texstar at gmail.com> 4.1.3-1pclos2010
- 4.1.3

* Sat Aug 21 2010 Texstar <texstar at gmail.com> 4.1.1-1pclos2010
- 4.1.1

* Mon Jun 14 2010 Texstar <texstar at gmail.com> 4.0.2-1pclos2010
- 4.0.2

* Fri Oct 30 2009 MBantz <martin.bantz at gmail dot com> 3.0.7-1pclos2010
- Update to 3.0.7

* Fri Jul 24 2009 MBantz <martin.bantz at gmail dot com> 3.0.5-1pclos2010
- Update to 3.0.5


